package org.eclipse.cosmos.me.sdd.tooling.btg.aggregator.comparisons;

import org.eclipse.cosmos.me.sdd.schema.ManufacturerType;
import org.eclipse.cosmos.me.sdd.schema.ObjectFactory;

public class ManufacturerCompare
{

	protected static ManufacturerType merge(ManufacturerType m1, ManufacturerType m2)
	{
		ObjectFactory objectFactory = new ObjectFactory();
		ManufacturerType merged = objectFactory.createManufacturerType();
		
		merged.setContactInformation(DisplayTextCompare.merge(m1.getContactInformation(), m2.getContactInformation()));
		merged.setLocation(LocationCompare.merge(m1.getLocation(),m2.getLocation()));
		merged.setName(DisplayTextCompare.merge(m1.getName(), m2.getName()));
		
		return merged;
	}

}
